CFPRIME PRXDOT                                                          PRXDOT      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE PRXDOT(IUY,TOLER)                                      PRXDOT      3
CD                                                                      PRXDOT      4
CD    TO CHECK INITIAL STATE DERIVATIVES AGAIST THE TOLERANCE AND PRINT PRXDOT      5
CD    THE VALUES EXCEEDING THE TOLERANCE.                               PRXDOT      6
CD                                                                      PRXDOT      7
CD    INPUT OF THE ROUTINE:                                             PRXDOT      8
CD                                                                      PRXDOT      9
CD    1. IUY IS THE UNIT IN WHICH THE OUTPUT WILL BE PRINTED            PRXDOT     10
CD    2. TOLER IS TOLERANCE OF DERIVATIVES                              PRXDOT     11
CD       IF TOLER = 0.0 THE PRINTING IS REQUESTED BY THE USER           PRXDOT     12
CD       ELSE               PRINTING IS PRODUCE BY CHECKING THE DSTATE  PRXDOT     13
CD                          AGAINST THE SET TOLERANCE.                  PRXDOT     14
CD                                                                      PRXDOT     15
      INCLUDE 'PARX.INS'                                                PRXDOT     16
      INCLUDE 'CNPT.INS'                                                PRXDOT     17
      INCLUDE 'CNB1.INS'                                                PRXDOT     18
      INCLUDE 'CNB4.INS'                                                PRXDOT     19
      INCLUDE 'CNB6.INS'                                                PRXDOT     20
      INCLUDE 'CNB8.INS'                                                PRXDOT     21
      INCLUDE 'CNMDAT.INS'                                              PRXDOT     22
      INCLUDE 'CNIPTR.INS'                                              PRXDOT     23
      INCLUDE 'CNMPAR.INS'                                              PRXDOT     24
      INCLUDE 'CNMSTA.INS'                                              PRXDOT     25
      INCLUDE 'CNLSTA.INS'                                              PRXDOT     26
      INCLUDE 'CNSTN.INS'                                               PRXDOT     27
      INCLUDE 'CNXSTA.INS'                                              PRXDOT     28
      INCLUDE 'CNXDOT.INS'                                              PRXDOT     29
      INCLUDE 'CNIMPR.INS'                                              PRXDOT     30
      INCLUDE 'CNRAN.INS'                                               PRXDOT     31
      INCLUDE 'CNSDB.INS'                                               PRXDOT     32
      INCLUDE 'CNSTP.INS'                                               PRXDOT     33
      INCLUDE 'CNSVS.INS'                                               PRXDOT     34
      INCLUDE 'CNMSG.INS'                                               PRXDOT     35
C                                                                       PRXDOT     36
      DIMENSION KS(NSID)                                                PRXDOT     37
      INTEGER*4 JCKID                                                   PRXDOT     38
      DIMENSION STAT(NSID),DSTAT(NSID)                                  PRXDOT     39
      CHARACTER*4 CTFK,CKID                                             PRXDOT     40
      CHARACTER*3 CTITLE(NSID)                                          PRXDOT     41
      CHARACTER*4 LCKT                                                  PRXDOT     42
      EQUIVALENCE (JCKID,CKID)                                          PRXDOT     43
C                                                                       PRXDOT     44
      IF(TOLER.LT.0.0) GOTO 50                                          PRXDOT     45
      JMUPDT=.FALSE.                                                    PRXDOT     46
      NITER=1                                                           PRXDOT     47
      CALL GXDOT                                                        PRXDOT     48
      IF (NMOTL.NE.0) CALL MXDOT                                        PRXDOT     49
      IF (NTSCL.NE.0) CALL TCXDOT                                       PRXDOT     50
      IF (NSVC.NE.0) CALL SXDOT                                         PRXDOT     51
      IF (NRANI.NE.0) CALL RXDOT                                        PRXDOT     52
      IF (NTCPS.NE.0) CALL TPXDOT                                       PRXDOT     53
      IF (NSDB.NE.0) CALL DBXDOT                                        PRXDOT     54
C                                                                       PRXDOT     55
 50   IL=71                                                             PRXDOT     56
C                                                                       PRXDOT     57
C     DETAIL MACHINE                                                    PRXDOT     58
C                                                                       PRXDOT     59
      KN=0                                                              PRXDOT     60
      DO 300 K=1,IPNODE                                                 PRXDOT     61
      KN=KN+3                                                           PRXDOT     62
      NLF=NOLD(K)                                                       PRXDOT     63
      I1=NTHG(K)                                                        PRXDOT     64
      I2=NTHG(K+1)-1                                                    PRXDOT     65
      DO 300 N=I1,I2                                                    PRXDOT     66
      CTFK=NDGC(N)                                                      PRXDOT     67
      I=0                                                               PRXDOT     68
C                                                                       PRXDOT     69
C  CHECK DGE                                                            PRXDOT     70
C                                                                       PRXDOT     71
      ISTATE=MSTATE(1,N)                                                PRXDOT     72
      JSTAT=MSTATE(2,N)                                                 PRXDOT     73
      DO 100 KK=1,JSTAT-ISTATE                                          PRXDOT     74
         IF(ABS(XDOT(ISTATE+KK)/XDFACT(ISTATE+KK)).LE.TOLER) GOTO 100   PRXDOT     75
         I=I+1                                                          PRXDOT     76
         IF(JSTAT-ISTATE.EQ.2)THEN                                      PRXDOT     77
            CTITLE(I)='CGE'                                             PRXDOT     78
         ELSE                                                           PRXDOT     79
            CTITLE(I)='DGE'                                             PRXDOT     80
         ENDIF                                                          PRXDOT     81
         KS(I)=KK                                                       PRXDOT     82
         STAT(I)=XSTATE(ISTATE+KK)                                      PRXDOT     83
         DSTAT(I)=XDOT(ISTATE+KK)                                       PRXDOT     84
  100 CONTINUE                                                          PRXDOT     85
C                                                                       PRXDOT     86
C  CHECK OTHERS                                                         PRXDOT     87
C                                                                       PRXDOT     88
      JSTAT=MSTATE(3,N)                                                 PRXDOT     89
      ISTATE=MSTATE(2,N)                                                PRXDOT     90
      DO 110 KK=1,JSTAT-ISTATE                                          PRXDOT     91
         IF(ABS(XDOT(ISTATE+KK)/XDFACT(ISTATE+KK)).LE.TOLER) GOTO 110   PRXDOT     92
         I=I+1                                                          PRXDOT     93
         CTITLE(I)='EXC'                                                PRXDOT     94
         KS(I)=KK                                                       PRXDOT     95
         STAT(I)=XSTATE(ISTATE+KK)                                      PRXDOT     96
         DSTAT(I)=XDOT(ISTATE+KK)                                       PRXDOT     97
  110 CONTINUE                                                          PRXDOT     98
C                                                                       PRXDOT     99
      JSTAT=MSTATE(4,N)                                                 PRXDOT    100
      ISTATE=MSTATE(3,N)                                                PRXDOT    101
      DO 120 KK=1,JSTAT-ISTATE                                          PRXDOT    102
         IF(ABS(XDOT(ISTATE+KK)/XDFACT(ISTATE+KK)).LE.TOLER) GOTO 120   PRXDOT    103
         I=I+1                                                          PRXDOT    104
         CTITLE(I)='STA'                                                PRXDOT    105
         KS(I)=KK                                                       PRXDOT    106
         STAT(I)=XSTATE(ISTATE+KK)                                      PRXDOT    107
         DSTAT(I)=XDOT(ISTATE+KK)                                       PRXDOT    108
  120 CONTINUE                                                          PRXDOT    109
C                                                                       PRXDOT    110
      JSTAT=MSTATE(7,N)                                                 PRXDOT    111
      ISTATE=MSTATE(4,N)                                                PRXDOT    112
      DO 140 KK=1,JSTAT-ISTATE                                          PRXDOT    113
         IF(ABS(XDOT(ISTATE+KK)/XDFACT(ISTATE+KK)).LE.TOLER) GOTO 140   PRXDOT    114
         I=I+1                                                          PRXDOT    115
         CTITLE(I)='UEL'                                                PRXDOT    116
         KS(I)=KK                                                       PRXDOT    117
         STAT(I)=XSTATE(ISTATE+KK)                                      PRXDOT    118
         DSTAT(I)=XDOT(ISTATE+KK)                                       PRXDOT    119
  140 CONTINUE                                                          PRXDOT    120
C                                                                       PRXDOT    121
      JSTAT=MSTATE(5,N)                                                 PRXDOT    122
      ISTATE=MSTATE(7,N)                                                PRXDOT    123
      DO 150 KK=1,JSTAT-ISTATE                                          PRXDOT    124
         IF(ABS(XDOT(ISTATE+KK)/XDFACT(ISTATE+KK)).LE.TOLER) GOTO 150   PRXDOT    125
         I=I+1                                                          PRXDOT    126
         CTITLE(I)='OEL'                                                PRXDOT    127
         KS(I)=KK                                                       PRXDOT    128
         STAT(I)=XSTATE(ISTATE+KK)                                      PRXDOT    129
         DSTAT(I)=XDOT(ISTATE+KK)                                       PRXDOT    130
  150 CONTINUE                                                          PRXDOT    131
C                                                                       PRXDOT    132
      JSTAT=MSTATE(6,N)                                                 PRXDOT    133
      ISTATE=MSTATE(5,N)                                                PRXDOT    134
      DO 160 KK=1,JSTAT-ISTATE                                          PRXDOT    135
         IF(ABS(XDOT(ISTATE+KK)/XDFACT(ISTATE+KK)).LE.TOLER) GOTO 160   PRXDOT    136
         I=I+1                                                          PRXDOT    137
         CTITLE(I)='GVN'                                                PRXDOT    138
         KS(I)=KK                                                       PRXDOT    139
         STAT(I)=XSTATE(ISTATE+KK)                                      PRXDOT    140
         DSTAT(I)=XDOT(ISTATE+KK)                                       PRXDOT    141
  160 CONTINUE                                                          PRXDOT    142
C                                                                       PRXDOT    143
      JSTAT=MSTATE(1,N+1)                                               PRXDOT    144
      ISTATE=MSTATE(6,N)                                                PRXDOT    145
      DO 170 KK=1,JSTAT-ISTATE                                          PRXDOT    146
         IF(ABS(XDOT(ISTATE+KK)/XDFACT(ISTATE+KK)).LE.TOLER) GOTO 170   PRXDOT    147
         I=I+1                                                          PRXDOT    148
         CTITLE(I)='GST'                                                PRXDOT    149
         KS(I)=KK                                                       PRXDOT    150
         STAT(I)=XSTATE(ISTATE+KK)                                      PRXDOT    151
         DSTAT(I)=XDOT(ISTATE+KK)                                       PRXDOT    152
  170 CONTINUE                                                          PRXDOT    153
C                                                                       PRXDOT    154
      IF(I.EQ.0) GOTO 300                                               PRXDOT    155
      KN=K*3                                                            PRXDOT    156
      NLF=NOLD(K)                                                       PRXDOT    157
      IF(TOLER.GE.0.)THEN                                               PRXDOT    158
         IF(IL.EQ.71) WRITE(LOUT,8010) TOLER                            PRXDOT    159
         IKK=MIN(I,2)                                                   PRXDOT    160
         WRITE(LOUT,9020) NLF,INAME(KN-2),INAME(KN-1),INAME(KN)         PRXDOT    161
     *         ,CTFK,(CTITLE(J),KS(J),DSTAT(J),STAT(J),J=1,IKK)         PRXDOT    162
         IF(I.GT.2)THEN                                                 PRXDOT    163
            WRITE(LOUT,9030) (CTITLE(J),KS(J),DSTAT(J)                  PRXDOT    164
     *         ,STAT(J),J=3,I)                                          PRXDOT    165
         ENDIF                                                          PRXDOT    166
      ENDIF                                                             PRXDOT    167
      IF(IL.GT.60)THEN                                                  PRXDOT    168
         IL=7                                                           PRXDOT    169
         IF(TOLER.GE.0.)THEN                                            PRXDOT    170
            IPAGE=IPAGE+1                                               PRXDOT    171
            WRITE(IUY,8000) IPAGE,TOLER                                 PRXDOT    172
            IL=IL+2                                                     PRXDOT    173
         ELSE                                                           PRXDOT    174
            WRITE(IUY,8050)                                             PRXDOT    175
         ENDIF                                                          PRXDOT    176
         WRITE(IUY,8100)                                                PRXDOT    177
      ENDIF                                                             PRXDOT    178
C                                                                       PRXDOT    179
      IKK=MIN(4,I)                                                      PRXDOT    180
      WRITE(IUY,9000) NLF,INAME(KN-2),INAME(KN-1),INAME(KN)             PRXDOT    181
     *     ,CTFK,(CTITLE(J),KS(J),DSTAT(J),STAT(J),J=1,IKK)             PRXDOT    182
      IL=IL+1                                                           PRXDOT    183
C                                                                       PRXDOT    184
      KK=1                                                              PRXDOT    185
  220 KK=KK+4                                                           PRXDOT    186
      IF(I.LE.IKK) GOTO 300                                             PRXDOT    187
      IKK=MIN(I,KK+3)                                                   PRXDOT    188
      IF(IL.GT.60)THEN                                                  PRXDOT    189
         IL=7                                                           PRXDOT    190
         IF(TOLER.GE.0.)THEN                                            PRXDOT    191
            IPAGE=IPAGE+1                                               PRXDOT    192
            WRITE(IUY,8000) IPAGE,TOLER                                 PRXDOT    193
            IL=IL+2                                                     PRXDOT    194
         ELSE                                                           PRXDOT    195
            WRITE(IUY,8050)                                             PRXDOT    196
         ENDIF                                                          PRXDOT    197
         WRITE(IUY,8100)                                                PRXDOT    198
      ENDIF                                                             PRXDOT    199
C                                                                       PRXDOT    200
      WRITE(IUY,9010) (CTITLE(J),KS(J),DSTAT(J),STAT(J),J=KK,IKK)       PRXDOT    201
      IL=IL+1                                                           PRXDOT    202
      GOTO 220                                                          PRXDOT    203
C                                                                       PRXDOT    204
 300  CONTINUE                                                          PRXDOT    205
C                                                                       PRXDOT    206
      CTFK='    '                                                       PRXDOT    207
C                                                                       PRXDOT    208
C     INDUCTION MOTOR                                                   PRXDOT    209
C                                                                       PRXDOT    210
      IF(NMOTL.NE.0)THEN                                                PRXDOT    211
       N=0                                                              PRXDOT    212
 500   N=N+1                                                            PRXDOT    213
C                                                                       PRXDOT    214
         I=0                                                            PRXDOT    215
         K=NMOLD(N)                                                     PRXDOT    216
         IOFSET=JXIMO(N)                                                PRXDOT    217
         JM=JMDAT(N)                                                    PRXDOT    218
         MOTYPK=IDDAT(JM+1)                                             PRXDOT    219
         CTFK=NDMC(N)                                                   PRXDOT    220
         IF (MOTYPK.GT.10) MOTYPK=MOTYPK-10                             PRXDOT    221
         IF (MOTYPK.LE.3) THEN                                          PRXDOT    222
            ISTATE=3                                                    PRXDOT    223
         ELSE                                                           PRXDOT    224
            ISTATE=1                                                    PRXDOT    225
         END IF                                                         PRXDOT    226
         CTITLE(1)='MOT'                                                PRXDOT    227
         ASSIGN 505 TO I1000                                            PRXDOT    228
         GOTO 1000                                                      PRXDOT    229
C                                                                       PRXDOT    230
  505    CONTINUE                                                       PRXDOT    231
         IF(N.LT.NMOTL)GOTO 500                                         PRXDOT    232
      ENDIF                                                             PRXDOT    233
C                                                                       PRXDOT    234
C     TSC                                                               PRXDOT    235
C                                                                       PRXDOT    236
      CTFK='    '                                                       PRXDOT    237
      IF(NTSCL.NE.0)THEN                                                PRXDOT    238
         N=0                                                            PRXDOT    239
 550     N=N+1                                                          PRXDOT    240
C                                                                       PRXDOT    241
         I=0                                                            PRXDOT    242
         IOFSET=JXTSC(N)                                                PRXDOT    243
         JTSC=JTCDAT(N)                                                 PRXDOT    244
         K=IDDAT(JTSC+1)                                                PRXDOT    245
         ISTATE=2                                                       PRXDOT    246
         CTITLE(1)='TSC'                                                PRXDOT    247
         ASSIGN 555 TO I1000                                            PRXDOT    248
         GOTO 1000                                                      PRXDOT    249
C                                                                       PRXDOT    250
  555    CONTINUE                                                       PRXDOT    251
         IF(N.LT.NTSCL)GOTO 550                                         PRXDOT    252
      ENDIF                                                             PRXDOT    253
C                                                                       PRXDOT    254
C     SVC                                                               PRXDOT    255
C                                                                       PRXDOT    256
      CTFK='    '                                                       PRXDOT    257
      IF(NSVC.NE.0)THEN                                                 PRXDOT    258
        N=0                                                             PRXDOT    259
 600    N=N+1                                                           PRXDOT    260
         I=0                                                            PRXDOT    261
         K=NROLD(N)                                                     PRXDOT    262
         IOFSET=JXSVR(N)                                                PRXDOT    263
         ISTATE=JXSVR(N+1)-IOFSET                                       PRXDOT    264
         CTITLE(1)='SVC'                                                PRXDOT    265
         ASSIGN 605 TO I1000                                            PRXDOT    266
         GOTO 1000                                                      PRXDOT    267
C                                                                       PRXDOT    268
 605     CONTINUE                                                       PRXDOT    269
         IF(N.LT.NSVC)GOTO 600                                          PRXDOT    270
      ENDIF                                                             PRXDOT    271
C                                                                       PRXDOT    272
C     SDB                                                               PRXDOT    273
C                                                                       PRXDOT    274
      IF(NSDB.NE.0)THEN                                                 PRXDOT    275
       N=0                                                              PRXDOT    276
 700   N=N+1                                                            PRXDOT    277
         I=0                                                            PRXDOT    278
         JD=JDDAT(N)                                                    PRXDOT    279
         K=IDDAT(JD+1)                                                  PRXDOT    280
         IOFSET=JXSDB(N)                                                PRXDOT    281
         ISTATE=JXSDB(N+1)-IOFSET                                       PRXDOT    282
         CTITLE(1)='SDB'                                                PRXDOT    283
         ASSIGN 705 TO I1000                                            PRXDOT    284
         GOTO 1000                                                      PRXDOT    285
C                                                                       PRXDOT    286
  705    CONTINUE                                                       PRXDOT    287
         IF(N.LT.NSDB)GOTO 700                                          PRXDOT    288
      ENDIF                                                             PRXDOT    289
C                                                                       PRXDOT    290
C     RANI                                                              PRXDOT    291
C                                                                       PRXDOT    292
      IL=71                                                             PRXDOT    293
C                                                                       PRXDOT    294
      IF(NRANI.NE.0)THEN                                                PRXDOT    295
       N=0                                                              PRXDOT    296
 800   N=N+1                                                            PRXDOT    297
         JRP=JRDAT(N)                                                   PRXDOT    298
         IOFSET=JXRAN(N)                                                PRXDOT    299
         ISTATE=JXRAN(N+1)-IOFSET                                       PRXDOT    300
         CTITLE(1)='RAN'                                                PRXDOT    301
         ASSIGN 805 TO I2000                                            PRXDOT    302
         GOTO 2000                                                      PRXDOT    303
  805    CONTINUE                                                       PRXDOT    304
         IF(N.LT.NRANI)GOTO 800                                         PRXDOT    305
      ENDIF                                                             PRXDOT    306
C                                                                       PRXDOT    307
C     STP                                                               PRXDOT    308
C                                                                       PRXDOT    309
      IF(NTCPS.NE.0)THEN                                                PRXDOT    310
        N=0                                                             PRXDOT    311
 900    N=N+1                                                           PRXDOT    312
         JRP=JTPDAT(N)                                                  PRXDOT    313
         IOFSET=JXSPS(N)                                                PRXDOT    314
         ISTATE=JXSPS(N+1)-IOFSET                                       PRXDOT    315
         CTITLE(1)='STP'                                                PRXDOT    316
         ASSIGN 905 TO I2000                                            PRXDOT    317
         GOTO 2000                                                      PRXDOT    318
C                                                                       PRXDOT    319
  905    CONTINUE                                                       PRXDOT    320
         IF(N.LT.NTCPS)GOTO 900                                         PRXDOT    321
      ENDIF                                                             PRXDOT    322
C                                                                       PRXDOT    323
      IL=71                                                             PRXDOT    324
C                                                                       PRXDOT    325
      RETURN                                                            PRXDOT    326
C                                                                       PRXDOT    327
C     CHECK AND PRINT DEVIATIVES                                        PRXDOT    328
C                                                                       PRXDOT    329
 1000 DO 1100 KK=1,ISTATE                                               PRXDOT    330
         IF(ABS(XDOT(IOFSET+KK)/XDFACT(IOFSET+KK)).LE.TOLER) GOTO 1100  PRXDOT    331
         I=I+1                                                          PRXDOT    332
         KS(I)=KK                                                       PRXDOT    333
         STAT(I)=XSTATE(IOFSET+KK)                                      PRXDOT    334
         DSTAT(I)=XDOT(IOFSET+KK)                                       PRXDOT    335
 1100 CONTINUE                                                          PRXDOT    336
C                                                                       PRXDOT    337
      IF(I.EQ.0) GOTO I1000                                             PRXDOT    338
      KN=K*3                                                            PRXDOT    339
      NLF=NOLD(K)                                                       PRXDOT    340
      IF(TOLER.GE.0.)THEN                                               PRXDOT    341
         IF(IL.EQ.71) WRITE(LOUT,8010) TOLER                            PRXDOT    342
         IKK=MIN(I,2)                                                   PRXDOT    343
         WRITE(LOUT,9020) NLF,INAME(KN-2),INAME(KN-1),INAME(KN)         PRXDOT    344
     *         ,CTFK,(CTITLE(1),KS(J),DSTAT(J),STAT(J),J=1,IKK)         PRXDOT    345
         IF(I.GT.2)THEN                                                 PRXDOT    346
            WRITE(LOUT,9030) (CTITLE(1),KS(J),DSTAT(J)                  PRXDOT    347
     *         ,STAT(J),J=3,I)                                          PRXDOT    348
         ENDIF                                                          PRXDOT    349
      ENDIF                                                             PRXDOT    350
      IF(IL.GT.60)THEN                                                  PRXDOT    351
         IL=7                                                           PRXDOT    352
         IF(TOLER.GE.0.)THEN                                            PRXDOT    353
            IPAGE=IPAGE+1                                               PRXDOT    354
            WRITE(IUY,8000) IPAGE,TOLER                                 PRXDOT    355
            IL=IL+2                                                     PRXDOT    356
         ELSE                                                           PRXDOT    357
            WRITE(IUY,8050)                                             PRXDOT    358
         ENDIF                                                          PRXDOT    359
         WRITE(IUY,8100)                                                PRXDOT    360
      ENDIF                                                             PRXDOT    361
C                                                                       PRXDOT    362
      IKK=MIN(4,I)                                                      PRXDOT    363
      WRITE(IUY,9000) NLF,INAME(KN-2),INAME(KN-1),INAME(KN)             PRXDOT    364
     *     ,CTFK,(CTITLE(1),KS(J),DSTAT(J),STAT(J),J=1,IKK)             PRXDOT    365
      IL=IL+1                                                           PRXDOT    366
C                                                                       PRXDOT    367
      KK=1                                                              PRXDOT    368
 1400 KK=KK+4                                                           PRXDOT    369
      IF(I.LE.IKK) GOTO I1000                                           PRXDOT    370
      IKK=MIN(I,KK+3)                                                   PRXDOT    371
      IF(IL.GT.60)THEN                                                  PRXDOT    372
         IL=7                                                           PRXDOT    373
         IF(TOLER.GE.0.)THEN                                            PRXDOT    374
            IPAGE=IPAGE+1                                               PRXDOT    375
            WRITE(IUY,8000) IPAGE,TOLER                                 PRXDOT    376
            IL=IL+2                                                     PRXDOT    377
         ELSE                                                           PRXDOT    378
            WRITE(IUY,8050)                                             PRXDOT    379
         ENDIF                                                          PRXDOT    380
         WRITE(IUY,8100)                                                PRXDOT    381
      ENDIF                                                             PRXDOT    382
C                                                                       PRXDOT    383
      WRITE(IUY,9010) (CTITLE(1),KS(J),DSTAT(J),STAT(J),J=KK,IKK)       PRXDOT    384
      IL=IL+1                                                           PRXDOT    385
      GOTO 1400                                                         PRXDOT    386
C                                                                       PRXDOT    387
 2000 I=0                                                               PRXDOT    388
C                                                                       PRXDOT    389
      DO 2100 KK=1,ISTATE                                               PRXDOT    390
         IF(ABS(XDOT(IOFSET+KK)/XDFACT(IOFSET+KK)).GT.TOLER) THEN       PRXDOT    391
            I=I+1                                                       PRXDOT    392
            KS(I)=KK                                                    PRXDOT    393
            STAT(I)=XSTATE(IOFSET+KK)                                   PRXDOT    394
            DSTAT(I)=XDOT(IOFSET+KK)                                    PRXDOT    395
         ENDIF                                                          PRXDOT    396
 2100 CONTINUE                                                          PRXDOT    397
C                                                                       PRXDOT    398
      IF(I.EQ.0) GOTO I2000                                             PRXDOT    399
      K1=IDDAT(JRP+1)                                                   PRXDOT    400
      K2=IDDAT(JRP+2)                                                   PRXDOT    401
      JCKID=IDDAT(JRP+3)                                                PRXDOT    402
      LCKT(1:2)=CKID(3:4)                                               PRXDOT    403
      K13=K1*3                                                          PRXDOT    404
      K23=K2*3                                                          PRXDOT    405
      NLF1=NOLD(K1)                                                     PRXDOT    406
      NLF2=NOLD(K2)                                                     PRXDOT    407
      IF(TOLER.GE.0.)THEN                                               PRXDOT    408
         IF(IL.EQ.71) WRITE(LOUT,8020) TOLER                            PRXDOT    409
         WRITE(LOUT,9200) NLF1,INAME(K13-2),INAME(K13-1),INAME(K13)     PRXDOT    410
     *              ,NLF2,INAME(K23-2),INAME(K23-1),INAME(K23),LCKT     PRXDOT    411
     *              ,CTITLE(1),KS(1),DSTAT(1),STAT(1)                   PRXDOT    412
         IF(I.GT.1)THEN                                                 PRXDOT    413
            WRITE(LOUT,9230) (CTITLE(1),KS(J),DSTAT(J),STAT(J),J=2,I)   PRXDOT    414
         ENDIF                                                          PRXDOT    415
      ENDIF                                                             PRXDOT    416
      IF(IL.GT.60)THEN                                                  PRXDOT    417
         IL=7                                                           PRXDOT    418
         IF(TOLER.GE.0.)THEN                                            PRXDOT    419
            IPAGE=IPAGE+1                                               PRXDOT    420
            WRITE(IUY,8000) IPAGE,TOLER                                 PRXDOT    421
            IL=IL+2                                                     PRXDOT    422
         ELSE                                                           PRXDOT    423
            WRITE(IUY,8050)                                             PRXDOT    424
         ENDIF                                                          PRXDOT    425
         WRITE(IUY,8200)                                                PRXDOT    426
      ENDIF                                                             PRXDOT    427
C                                                                       PRXDOT    428
      IKK=MIN(3,I)                                                      PRXDOT    429
      WRITE(IUY,9220) NLF1,INAME(K13-2),INAME(K13-1),INAME(K13)         PRXDOT    430
     *        ,NLF2,INAME(K23-2),INAME(K23-1),INAME(K23),LCKT           PRXDOT    431
     *        ,(CTITLE(1),KS(J),DSTAT(J),STAT(J),J=1,IKK)               PRXDOT    432
      IL=IL+1                                                           PRXDOT    433
C                                                                       PRXDOT    434
      KK=1                                                              PRXDOT    435
 2400 KK=KK+3                                                           PRXDOT    436
      IF(I.LE.IKK) GOTO I2000                                           PRXDOT    437
      IKK=MIN(KK+2,I)                                                   PRXDOT    438
      IF(IL.GT.60)THEN                                                  PRXDOT    439
         IL=7                                                           PRXDOT    440
         IF(TOLER.GE.0.)THEN                                            PRXDOT    441
            IPAGE=IPAGE+1                                               PRXDOT    442
            WRITE(IUY,8000) IPAGE,TOLER                                 PRXDOT    443
            IL=IL+2                                                     PRXDOT    444
         ELSE                                                           PRXDOT    445
            WRITE(IUY,8050)                                             PRXDOT    446
         ENDIF                                                          PRXDOT    447
         WRITE(IUY,8200)                                                PRXDOT    448
      ENDIF                                                             PRXDOT    449
C                                                                       PRXDOT    450
      WRITE(IUY,9210) (CTITLE(1),KS(J),DSTAT(J),STAT(J)                 PRXDOT    451
     *        ,J=KK,IKK)                                                PRXDOT    452
      IL=IL+1                                                           PRXDOT    453
C                                                                       PRXDOT    454
      GOTO 2400                                                         PRXDOT    455
C                                                                       PRXDOT    456
 8000 FORMAT('1 WARNING AND ERROR MESSAGE REPORT',T120,'PAGE:',I4,//    PRXDOT    457
     *,29X,'INITIAL STATE DERIVATIVES OF DYNAMIC'                       PRXDOT    458
     *,' DEVICES EXCEEDING TOLERANCE OF ',G12.6,/,29X,81('='))          PRXDOT    459
 8010 FORMAT(' *** WARNING INITIAL STATE DERIVATIVES OF DYNAMIC'        PRXDOT    460
     *,' DEVICES EXCEEDING',/,5X,'TOLERANCE OF ',G12.6                  PRXDOT    461
     *,/,'                        ',2(' STATE                   ')      PRXDOT    462
     *,/,'  BUS# STATION NAME  ID ',2('  NAME    DSTATE    STATE')      PRXDOT    463
     *,/,'  ---- ------------ ----',2(' -----  --------  -------'))     PRXDOT    464
 8020 FORMAT(' *** WARNING INITIAL STATE DERIVATIVES OF DYNAMIC'        PRXDOT    465
     *,' DEVICES EXCEEDING',/,5X,'TOLERANCE OF ',G12.6                  PRXDOT    466
     *,/,47X,'STATE',/,' FR BUS# STATION NAME TO BUS# STATION NAME'     PRXDOT    467
     *,' CID  NAME    DSTATE    STATE',/,' ------- ------------'        PRXDOT    468
     *,' ------- ------------ --- -----  --------  -------')            PRXDOT    469
 8050 FORMAT(1H1,39X,'INITIAL STATE DERIVATIVES AND STATES'             PRXDOT    470
     *,' OF DYNAMIC DEVICES',/,40X,56('='))                             PRXDOT    471
 8100 FORMAT(24X,4('   STATE                   ')                       PRXDOT    472
     *,/,'  BUS# STATION NAME  ID ',4('    NAME    DSTATE    STATE')    PRXDOT    473
     *,/,'  ---- ------------ ----',4('   -----  --------  -------'))   PRXDOT    474
 8200 FORMAT(46X,3('   STATE                   ')                       PRXDOT    475
     *,/,' FR BUS# STATION NAME TO BUS# STATION NAME CID'               PRXDOT    476
     *,3('    NAME    DSTATE    STATE')                                 PRXDOT    477
     *,/,' ------- ------------ ------- ------------ ---'               PRXDOT    478
     *,3('   -----  --------  -------'))                                PRXDOT    479
 9000 FORMAT(I6,1X,3A4,1X,A4,4(3X,A3,I2,F10.5,F9.4))                    PRXDOT    480
 9020 FORMAT(I6,1X,3A4,1X,A4,2(1X,A3,I2,F10.5,F9.4))                    PRXDOT    481
 9010 FORMAT((24X,4(3X,A3,I2,F10.5,F9.4)))                              PRXDOT    482
 9030 FORMAT((24X,2(1X,A3,I2,F10.5,F9.4)))                              PRXDOT    483
 9200 FORMAT(I8,1X,3A4,I8,1X,3A4,2X,A2,1X,A3,I2,F10.5,F9.4)             PRXDOT    484
 9210 FORMAT((46X,3(3X,A3,I2,F10.5,F9.4)))                              PRXDOT    485
 9220 FORMAT(I8,1X,3A4,I8,1X,3A4,2X,A2,3(3X,A3,I2,F10.5,F9.4))          PRXDOT    486
 9230 FORMAT((47X,A3,I2,F10.5,F9.4))                                    PRXDOT    487
C                                                                       PRXDOT    488
      END                                                               PRXDOT    489
